HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetInvoicesUpcomingLines

Contains the different functions to run the operation getInvoicesUpcomingLines

  • 40 types
  • 19 values
  • Packagestripeapi-3.0.0.0
  • Exports59
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetInvoicesUpcomingLines.hs
valuegetInvoicesUpcomingLines
  1. :: MonadHTTP m
  2. => GetInvoicesUpcomingLinesParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetInvoicesUpcomingLinesResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/invoices/upcoming/lines

<p>When retrieving an upcoming invoice, you’ll get a <strong>lines</strong> property containing the total count of line items and the first handful of those items. There is also a URL where you can retrieve the full (paginated) list of line items.</p>

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryAutomatic_tax in the specification.

Represents the parameter named 'automatic_tax'

Settings for automatic tax lookup for this invoice preview.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.address.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.address.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.shipping.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.shipping.anyOf.properties.address in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.shipping.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.tax in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.tax.properties.ip_address.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.tax_exempt in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.tax_ids.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryCustomer_details.properties.tax_ids.items.properties.type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryDiscounts.anyOf.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryDiscounts.anyOf in the specification.

Represents the parameter named 'discounts'

The coupons to redeem into discounts for the invoice preview. If not specified, inherits the discount from the customer or subscription. This only works for coupons directly applied to the invoice. To apply a coupon to a subscription, you must use the `coupon` parameter instead. Pass an empty string to avoid inheriting any discounts. To preview the upcoming invoice for a subscription that hasn't been created, use `coupon` instead.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryInvoice_items.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryInvoice_items.items.properties.discounts.anyOf.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryInvoice_items.items.properties.discounts.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryInvoice_items.items.properties.metadata.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryInvoice_items.items.properties.period in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryInvoice_items.items.properties.price_data.properties.tax_behavior in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.queryInvoice_items.items.properties.tax_rates.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_billing_cycle_anchor.anyOf in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_billing_cycle_anchor.anyOf in the specification.

Represents the parameter named 'subscription_billing_cycle_anchor'

For new subscriptions, a future timestamp to anchor the subscription's billing cycle. This is used to determine the date of the first full invoice, and, for plans with `month` or `year` intervals, the day of the month for subsequent invoices. For existing subscriptions, the value can only be set to `now` or `unchanged`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_cancel_at.anyOf in the specification.

Represents the parameter named 'subscription_cancel_at'

Timestamp indicating when the subscription should be scheduled to cancel. Will prorate if within the current period and prorations have been enabled using `proration_behavior`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_default_tax_rates.anyOf in the specification.

Represents the parameter named 'subscription_default_tax_rates'

If provided, the invoice returned will preview updating or creating a subscription with these default tax rates. The default tax rates will apply to any line item that does not have `tax_rates` set.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_items.items.properties.billing_thresholds.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_items.items.properties.billing_thresholds.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_items.items.properties.metadata.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_items.items.properties.price_data.properties.recurring in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_items.items.properties.price_data.properties.recurring.properties.interval in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_items.items.properties.price_data.properties.tax_behavior in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_items.items.properties.tax_rates.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_proration_behavior in the specification.

Represents the parameter named 'subscription_proration_behavior'

Determines how to handle prorations when the billing cycle changes (e.g., when switching plans, resetting `billing_cycle_anchor=now`, or starting a trial), or if an item's `quantity` changes.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices/upcoming/lines.GET.parameters.properties.querySubscription_trial_end.anyOf in the specification.

Represents the parameter named 'subscription_trial_end'

If provided, the invoice returned will preview updating or creating a subscription with that trial end. If set, one of `subscription_items` or `subscription` is required.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getInvoicesUpcomingLines.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetInvoicesUpcomingLinesResponseError is used.

Instances2Eq, Show

Defines the object schema located at paths./v1/invoices/upcoming/lines.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON